<?php 


class C5_social_share_count {
	
	
	public $config = array(
		'services' => array(
			'facebook' => array('url' => "https://graph.facebook.com/fql?q=%s", 'params' => 'SELECT url,normalized_url,share_count,like_count,comment_count,total_count,click_count FROM link_stat WHERE url = "%s"'),
			'twitter' => array('url' => "http://urls.api.twitter.com/1/urls/count.json?url=%s"),
			'linkedin' => array('url' => "http://www.linkedin.com/countserv/count/share?url=%s"),
			'google' => array('url' => "https://clients6.google.com/rpc"),
			'fb_comments_count' => array('url' => "https://graph.facebook.com/fql?q=%s", 'params' => 'SELECT url,normalized_url,share_count,like_count,comment_count,total_count,click_count FROM link_stat WHERE url = "%s"'),
			
		)
	);
	
	public $services = array('facebook' , 'twitter' , 'linkedin', 'google' , 'fb_comments_count' ); 
	
	
	function __construct() {
	}
	
	function hook() {
		
			add_action('wp_head', array($this, 'social_count') );
			//$use_google_analytics = ot_get_option('use_google_analytics');
			
			$options = get_option( 'option_tree' );
			$use_google_analytics= 'on';
			if ( isset( $options['use_google_analytics'] ) && '' != $options['use_google_analytics'] ) {
			  $use_google_analytics = $options['use_google_analytics'];
			}
			if($use_google_analytics != 'off'){	
				add_action('admin_menu', array($this, 'gapp_config_page'));
			}
	}
	
	function social_count() {
		if(!is_single()){
			return;
		}
		$post_id = get_the_ID();
		$status = get_post_status( $post_id);
		if($status!='publish'){
			return;
		}
		if($post_id == ''){
			global $post;
			$post_id = $post->ID;
		}
		
		
		if ( false === ( $social_count_array = get_transient( 'c5_social_share_' . $post_id ) ) ) {
//		if ( true ) {
			$this->get_social_data_for_ID($post_id);
		}
		
	}
	
	function get_social_data_for_ID($post_id) {
		$social_count_array = array();
		global $bitly;
		
		
		$total_count = 0;
		$services = $this->services;
		
		foreach( $services as $service_name  ) {
			
			$count = $this->get_social_count( get_permalink($post_id), $service_name );
			$social_count_array[$service_name] = $count;
			$this->update_post_meta( $post_id,  'c5_'.$service_name, $count );
			
			$total_count =  $total_count + $count;
		}
		
		$social_count_array['total'] = $total_count;
		$this->update_post_meta( $post_id, 'c5_total_share', $total_count );
		
		
		$total_views = $this->get_page_views($post_id);
		$social_count_array['views'] = $total_views;
		$this->update_post_meta( $post_id,  'post_views_count', $total_views );
		
		$all_social_data = $this->update_social_data_array( 'total_share_'. $post_id , $social_count_array , $post_id);
		
		$this->update_weekly_shares($post_id, $all_social_data);
		$this->update_daily_shares($post_id, $all_social_data);
		$this->update_hourly_shares($post_id, $all_social_data);
		
		$this->update_weekly_views($post_id, $all_social_data);
		$this->update_daily_views($post_id, $all_social_data);
		$this->update_hourly_views($post_id, $all_social_data);
		
		
		
		
		
		set_transient( 'c5_social_share_' . $post_id, $social_count_array , 1800);
	}
	
	
	//Shares
	function update_weekly_shares($post_id, $all_data) {
		$first_value = $this->get_first_key($all_data);
		 $last_value = $this->get_last_key($all_data);
		
		$weekly_shares = $all_data[$last_value]['total'] - $all_data[$first_value]['total'];
		
		if($weekly_shares<0){
			$weekly_shares = 0;
		}
		update_post_meta( $post_id , 'c5_weekly_shares', $weekly_shares);
	}
	function update_daily_shares($post_id, $all_data) {
		$first_value = $this->get_first_key($all_data);
		$last_value = $this->get_last_daily_key($all_data);
		
		$weekly_shares = $all_data[$last_value]['total'] - $all_data[$first_value]['total'];
		
		if($weekly_shares<0){
			$weekly_shares = 0;
		}
		update_post_meta( $post_id , 'c5_daily_shares', $weekly_shares);
	}
	function update_hourly_shares($post_id, $all_data) {
		$first_value = $this->get_first_key($all_data);
		$last_value = $this->get_last_hourly_key($all_data);
		
		$weekly_shares = $all_data[$last_value]['total'] - $all_data[$first_value]['total'];
		
		if($weekly_shares<0){
			$weekly_shares = 0;
		}
		update_post_meta( $post_id , 'c5_hourly_shares', $weekly_shares);
	}
	
	//Views
	function update_weekly_views($post_id, $all_data) {
		$first_value = $this->get_first_key($all_data);
		 $last_value = $this->get_last_key($all_data);
		
		$weekly_shares = $all_data[$last_value]['total'] - $all_data[$first_value]['total'];
		
		if($weekly_shares<0){
			$weekly_shares = 0;
		}
		update_post_meta( $post_id , 'c5_weekly_views', $weekly_shares);
	}
	function update_daily_views($post_id, $all_data) {
		$first_value = $this->get_first_key($all_data);
		 $last_value = $this->get_last_daily_key($all_data);
		
		$weekly_shares = $all_data[$last_value]['total'] - $all_data[$first_value]['total'];
		
		if($weekly_shares<0){
			$weekly_shares = 0;
		}
		update_post_meta( $post_id , 'c5_daily_views', $weekly_shares);
	}
	function update_hourly_views($post_id, $all_data) {
		$first_value = $this->get_first_key($all_data);
		 $last_value = $this->get_last_hourly_key($all_data);
		
		$weekly_shares = $all_data[$last_value]['total'] - $all_data[$first_value]['total'];
		
		if($weekly_shares<0){
			$weekly_shares = 0;
		}
		update_post_meta( $post_id , 'c5_hourly_views', $weekly_shares);
	}
	
	//support functions
	function get_first_key($array) {
		foreach ($array as $key => $value) {
			return $key;
		}
	}
	
	function get_last_key($array) {
		foreach ($array as $key => $value) {
			$last_key =  $key;
		}
		return $last_key;
	}
	function get_last_daily_key($array) {
		$counter = 0;
		$start = 0; 
		foreach ($array as $key => $value) {
			if($counter == 0){
				$start = $key;
				$last_key =  $key;
			}else {
				if( ( $value['timestamp'] - $array[$start]['timestamp'] ) > 86400 ){
					$last_key =  $key;
				}				
			}
			$counter++;
		}
		return $last_key;
	}
	function get_last_hourly_key($array) {
		$counter = 0;
		$start = 0; 
		foreach ($array as $key => $value) {
			if($counter == 0){
				$start = $key;
				$last_key =  $key;
			}else {
				if( ( $value['timestamp'] - $array[$start]['timestamp'] ) > 3600 ){
					$last_key =  $key;
				}				
			}
			$counter++;
		}
		return $last_key;
	}
	
	
	function get_social_count( $permalink, $service ) {
		
		if( $service === 'google' ) {
			return $this->do_curl( $permalink, $service );
		} else {
			// If there are extra params in the url, append them to the permalink first
			if( isset( $this->config['services'][$service]["params"] ) ) {
				$permalink = sprintf( $this->config['services'][$service]["params"], $permalink );
			}
			$url = sprintf( $this->config['services'][$service]["url"], urlencode ( $permalink ) );
			return $this->do_curl( $url, $service );
		}
		return 0;
	}
	
	
	function do_curl($url, $service) {
	
		$social_count = 0;
		
		// Google+ is an special, hack-ish case
		if( $service == 'google' ) 
		{
			// GET +1s. Credits to Tom Anthony: http://www.tomanthony.co.uk/blog/google_plus_one_button_seo_count_api/
		    $curl = curl_init();
		    curl_setopt( $curl, CURLOPT_URL, "https://clients6.google.com/rpc" );
		    curl_setopt( $curl, CURLOPT_POST, 1 );
		    curl_setopt( $curl, CURLOPT_POSTFIELDS, '[{"method":"pos.plusones.get","id":"p","params":{"nolog":true,"id":"' . $url . '","source":"widget","userId":"@viewer","groupId":"@self"},"jsonrpc":"2.0","key":"p","apiVersion":"v1"}]' );
		    curl_setopt( $curl, CURLOPT_RETURNTRANSFER, true );
		    curl_setopt( $curl, CURLOPT_HTTPHEADER, array( 'Content-type: application/json' ) );
		    $curl_results = curl_exec ( $curl );
		    curl_close ( $curl );
		 
		    $json = json_decode($curl_results, true);
		    $social_count = intval( $json[0]['result']['metadata']['globalCounts']['count'] );
	    } else {
		    $ch = curl_init();
		    curl_setopt ($ch, CURLOPT_URL, $url);
		    curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
			$return = curl_exec( $ch );
		
			if( curl_errno( $ch ) ) { 
		        $error = print_r( curl_error( $ch ), true );
		        // TODO: Notify curl errors via email or log files 
			} else {
				switch( $service ) {
					case 'facebook':
						$return = json_decode( $return, true );
						$social_count = ( isset( $return['data'][0]['total_count'] ) ) ? $return['data'][0]['total_count'] : 0;
						// TODO: Better handling of errors	
						if( isset( $return['error'] ) ) { 
							log( "Error ".$return["code"]." (".$return["type"].") - ".$return["message"] );
						}
					break;
					case 'fb_comments_count':
						$return = json_decode( $return, true );
						$social_count = ( isset( $return['data'][0]['comment_count'] ) ) ? $return['data'][0]['comment_count'] : 0;
						// TODO: Better handling of errors	
						if( isset( $return['error'] ) ) { 
							log( "Error ".$return["code"]." (".$return["type"].") - ".$return["message"] );
						}
					break;
					
					case 'twitter':
						$return = json_decode( $return, true );
						$social_count = ( isset($return['count'] ) ) ? $return['count'] : 0;
					break;
					
					case 'linkedin':
						$return = json_decode( str_replace( 'IN.Tags.Share.handleCount(', '', str_replace( ');', '', $return ) ), true );
						$social_count = ( isset( $return['count'] ) ) ? $return['count'] : 0;
					break;
				}
			}
		}
		return intval( $social_count );
	}
	
	
	function update_post_meta( $post_id, $key, $count )  {

//		$key = 'c5_'.$service;
		$old_count = get_post_meta( $post_id, $key, true);


		if($count<0){
			$count = 0;
		}

		if( $count > $old_count ) {
			update_post_meta( $post_id, $key, $count );
		}

		update_post_meta( $post_id, $key, $count );
		
	}
	
	
	
	function check_all_data($all_data) {
		$first_value = $this->get_first_key($all_data);
		 $last_value = $this->get_last_key($all_data);
		
		if( ( $all_data[$last_value]['timestamp'] - $all_data[$first_value]['timestamp'] ) > 604800){
			array_pop($all_data);
			$all_data = $this->check_all_data($all_data);
		}
		return $all_data;
	}
	
	function update_social_data_array( $key, $data, $post_id )  {
		$all_data = get_option( $key);
		if(!is_array($all_data)){
			$all_data = array();
		}
		$data['timestamp']= time();
		$all_data[date('YmdH')]=$data;
		
		$all_data = $this->check_all_data($all_data);
		update_option($key , $all_data);
		
		return $all_data;
		
		
		
	}
	
	
	
	

	
	
	
	function gapp_config_page() {
	
		if (function_exists('add_submenu_page')) {
	
	        add_submenu_page('options-general.php',
	            __('Google Analytics Setup', 'code125-admin'),
	            __('Google Analytics Setup', 'code125-admin'),
	            'manage_options', 'google-analytics-setup', array($this , 'gapp_conf'));
	
	    }
	
	}
	
	function gapp_api_call($url, $params = array()) {
	
	    $options = get_option('gapp');
	
	    $now = time();
	
	    /* Si le token est expiré, on le refait */
	
	    if ($now > $options['gapp_expires'] && !empty($options['gapp_token_refresh'])) {
	
	        $ch = curl_init();
	
	        curl_setopt($ch, CURLOPT_URL, 'https://accounts.google.com/o/oauth2/token');
	        curl_setopt($ch, CURLOPT_POST, 1);
	        curl_setopt($ch, CURLOPT_POSTFIELDS, 'client_id='.$options['gapp_clientid'].'&client_secret='.$options['gapp_psecret'].'&refresh_token='.urlencode($options['gapp_token_refresh']).'&grant_type=refresh_token');
	        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	
	        $data = curl_exec($ch);
	        curl_close($ch);
	
	        $tjson = json_decode($data);
	
	        $data = file_get_contents('https://www.googleapis.com/oauth2/v1/userinfo?access_token='.urlencode($options['gapp_token']));
	        $ijson = json_decode($data);
			
			if(isset($tjson->access_token)){
	        	$options['gapp_token'] = $tjson->access_token;
	        }
	        if(isset($tjson->refresh_token)){
	        	$options['gapp_token_refresh'] = $tjson->refresh_token;
	        }
	        if(isset($tjson->expires_in)){
	        	$options['gapp_expires'] = time() + $tjson->expires_in;
	        }
	        if(isset($tjson->id)){
	       		$options['gapp_gid'] = $ijson->id;
	       	}
	
	    }
	
	    $qs = '?access_token='.urlencode($options['gapp_token']);
	
	    foreach ($params as $k => $v) {
	
	        $qs .= '&'.$k.'='.urlencode($v);
	
	    }
	
	    $data = file_get_contents($url.$qs);
	    $json = json_decode($data);
	
	    return $json;
	
	}
	
	
	
	function gapp_conf() {
	
		$options = get_option('gapp');
	
		if (!isset($options['gapp_clientid'])) {
			if (isset($options['gapp_pnumber'])) {
				$options['gapp_clientid'] = $options['gapp_pnumber'] . '.apps.googleusercontent.com';
			} else {
				$options['gapp_clientid'] = null;
			}
		}
	
		if (isset($options['gapp_pnumber'])) unset($options['gapp_pnumber']);
	    if (!isset($options['gapp_psecret'])) $options['gapp_psecret'] = null;
	    if (!isset($options['gapp_gid'])) $options['gapp_gid'] = null;
	    if (!isset($options['gapp_gmail'])) $options['gapp_gmail'] = null;
	    if (!isset($options['gapp_token'])) $options['gapp_token'] = null;
	    if (!isset($options['gapp_token_refresh'])) $options['gapp_token_refresh'] = null;
	    if (!isset($options['gapp_expires'])) $options['gapp_expires'] = null;
	    if (!isset($options['gapp_wid'])) $options['gapp_wid'] = null;
	    
	
		$updated = false;
	
	    if (isset($_GET['state']) && $_GET['state'] == 'init' && $_GET['code']) {
	
	        $ch = curl_init();
	
	        curl_setopt($ch, CURLOPT_URL, 'https://accounts.google.com/o/oauth2/token');
	        curl_setopt($ch, CURLOPT_POST, 1);
	        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	        curl_setopt($ch, CURLOPT_POSTFIELDS, 'code='.urlencode($_GET['code']).'&client_id='.$options['gapp_clientid'].'&client_secret='.$options['gapp_psecret'].'&redirect_uri='.admin_url('options-general.php?page=google-analytics-setup').'&grant_type=authorization_code');
	
	        $result = curl_exec($ch);
	
	        if ($result === false) {
	
	            echo '<div id="message" class="error"><p>';
	            _e('There was something wrong with Google:', 'code125-admin');
	            echo ' '.curl_error($ch);
	            echo "</p></div>";
	
	        }
	
	        curl_close($ch);
	
	        $tjson = json_decode($result);
	
	        $options['gapp_token'] = $tjson->access_token;
	        $options['gapp_token_refresh'] = $tjson->refresh_token;
	        $options['gapp_expires'] = time() + $tjson->expires_in;
	
	        update_option('gapp', $options);
	
	        $ijson = $this->gapp_api_call('https://www.googleapis.com/oauth2/v1/userinfo');
	
	        $options['gapp_gid'] = $ijson->id;
	        $options['gapp_gmail'] = $ijson->email;
	
	        update_option('gapp', $options);
	
	        if (!empty($options['gapp_token']) && !empty($options['gapp_gmail'])) {
	
	            $updated = true;
	
	        }
	
	    } elseif ( isset($_GET['state']) && $_GET['state'] == 'reset') {
	
	        $options['gapp_gid'] = null;
	        $options['gapp_gmail'] = null;
	        $options['gapp_token'] = null;
	        $options['gapp_token_refresh'] = null;
	        $options['gapp_expires'] = null;
	
	        update_option('gapp', $options);
	
	        $updated = true;
	
	    } elseif (isset($_GET['state']) && $_GET['state'] == 'clear') {
	
		    $options['gapp_clientid'] = null;
	        $options['gapp_psecret'] = null;
	
	        update_option('gapp', $options);
	
	        $updated = true;
	
	    }
	
		if (isset($_POST['submit'])) {
	
			check_admin_referer('gapp', 'gapp-admin');
	
			if (isset($_POST['gapp_clientid'])) {
	            $options['gapp_clientid'] = $_POST['gapp_clientid'];
			}
	
	        if (isset($_POST['gapp_psecret'])) {
	            $options['gapp_psecret'] = $_POST['gapp_psecret'];
	        }
	
	        if (isset($_POST['gapp_wid'])) {
	            $options['gapp_wid'] = $_POST['gapp_wid'];
	        }
	
			update_option('gapp', $options);
	
			$updated = true;
	
		}
	
	    echo '<div class="wrap">';
	
	    if ($updated) {
	
		    echo '<div id="message" class="updated fade"><p>';
		    _e('Configuration updated.', 'code125-admin');
		    echo '</p></div>';
	
	    }
	
	
	    echo '<h2>'.__('Google Analytics Setup Page', 'code125-admin').'</h2>';
	
	    if (empty($options['gapp_token'])) {
	
	        if (empty($options['gapp_clientid']) || empty($options['gapp_psecret'])) {
	
	            echo '<p>'.__('In order to connect to your Google Analytics Account, you need to create a new project in the <a href="https://console.developers.google.com/project" target="_blank">Google API Console</a> and activate the Analytics API in "APIs &amp; auth &gt; APIs".', 'code125-admin').'</p>';
	
	            echo '<form action="'.admin_url('options-general.php?page=google-analytics-setup').'" method="post" id="gapp-conf">';
	
	            echo '<p>'.__('Then, create an OAuth Client ID in "APIs &amp; auth &gt; Credentials". Enter this URL for the Redirect URI field:', 'code125-admin').'<br/>';
	            echo admin_url('options-general.php?page=google-analytics-setup');
	            echo '</p>';
	
	            echo '<h3><label for="gapp_clientid">'.__('Client ID:', 'code125-admin').'</label></h3>';
	            echo '<p><input type="text" id="gapp_clientid" name="gapp_clientid" value="'.$options['gapp_clientid'].'" class="regular-text"/></p>';
	
	            echo '<h3><label for="gapp_psecret">'.__('Client secret:', 'code125-admin').'</label></h3>';
	            echo '<p><input type="text" id="gapp_psecret" name="gapp_psecret" value="'.$options['gapp_psecret'].'" class="regular-text" /></p>';
	
	            echo '<p class="submit" style="text-align: left">';
	            wp_nonce_field('gapp', 'gapp-admin');
	            echo '<input type="submit" name="submit" value="'.__('Save Changes', 'code125-admin').' " class="button button-primary" /></p></form></div>';
	
	        } else {
	
	            $url_auth = 'https://accounts.google.com/o/oauth2/auth?client_id='.$options['gapp_clientid'].'&redirect_uri=';
	            $url_auth .= admin_url('options-general.php?page=google-analytics-setup');
	            $url_auth .= '&scope=https://www.googleapis.com/auth/analytics.readonly+https://www.googleapis.com/auth/userinfo.email+https://www.googleapis.com/auth/userinfo.profile&response_type=code&access_type=offline&state=init&approval_prompt=force';
	
	            echo '<p><a href="'.$url_auth.'">'.__('Connect to Google Analytics', 'code125-admin').'</a></p>';
	
	            echo '<p><a href="'.admin_url('options-general.php?page=google-analytics-setup').'&state=clear">'.__('Clear the API keys').' &raquo;</a></p>';
	
	        }
	
	    } else {
	
	        echo '<p>'.__('You are connected to Google Analytics with the e-mail address:', 'code125-admin').' '.$options['gapp_gmail'].'.</p>';
	
	        echo '<p>'.__('Your token expires on:', 'code125-admin').' '.date('m/d/Y H:i:s', $options['gapp_expires']).'.</p>';
	
	        echo '<p><a href="'.admin_url('options-general.php?page=google-analytics-setup').'&state=reset">'.__('Disconnect from Google Analytics').' &raquo;</a></p>';
	
	        echo '<form action="'.admin_url('options-general.php?page=google-analytics-setup').'" method="post" id="gapp-conf">';
	
	        echo '<h3><label for="gapp_wid">'.__('Use this website to retrieve pageviews numbers:', 'code125-admin').'</label></h3>';
	        
	        
	        echo '<p><select id="gapp_wid" name="gapp_wid" style="width: 400px;" />';
	
	        echo '<option value=""';
	        if (empty($options['gapp_wid'])) echo ' SELECTED';
	        echo '>'.__('None', 'code125-admin').'</option>';
	
	        $wjson = $this->gapp_api_call('https://www.googleapis.com/analytics/v3/management/accounts/~all/webproperties/~all/profiles');
	        //print_r($wjson);
	        
	        foreach ($wjson->items as $item) {
	
	            echo '<option value="'.$item->id.'"';
	            if ($options['gapp_wid'] == $item->id) echo ' SELECTED';
	            echo '>'.$item->name.' - '.$item->websiteUrl.'</option>';
	
	        }
	
	        echo '</select></p>';
	
	
	        echo '<p class="submit" style="">';
	        wp_nonce_field('gapp', 'gapp-admin');
	        echo '<input type="submit" name="submit" value="'.__('Save Changes', 'code125-admin').'"  class="button button-primary" /></p></form></div>';
	
	    }
	
	}
	
	function get_page_views($ID = null) {
		$use_google_analytics = ot_get_option('use_google_analytics');
		if($use_google_analytics == 'off'){
			return false;
		}
		
		$options = get_option('gapp');
		if(!is_array($options)){
			return false;
		}
		
		if (!isset($options['gapp_token']) || $options['gapp_token']=='') {
			return false;
		}
		
	    $permalink = get_permalink($ID);
	
		$pageURL = parse_url($permalink);
		
        $json = $this->gapp_api_call('https://www.googleapis.com/analytics/v3/data/ga',
            array('ids' => 'ga:'.$options['gapp_wid'],
                'start-date' => '2007-09-29',
                'end-date' => date('Y-m-d'),
                'metrics' => 'ga:pageviews',
                'filters' => 'ga:pagePath=@'.$pageURL['path'],
                'max-results' => 1000)
        );

        $totalResult = $json->totalsForAllResults->{'ga:pageviews'};

        if (is_numeric($totalResult) && $totalResult > 0) {
			return $totalResult;
		} else {
		   return 0;
		}
		
	}
	
	
}
$social_share_count  =  new C5_social_share_count();

$social_share_count->hook();

add_action('wp_footer', 'c5_google_plus_footer');

function c5_google_plus_footer() {
	?>
	<!-- Place this tag after the last widget tag. -->
	<script type="text/javascript">
	  (function() {
	    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
	    po.src = 'https://apis.google.com/js/platform.js';
	    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
	  })();
	</script>
	<?php
}

 ?>