<?php

class C5_theme_option_elements extends C5_theme_option_base{

    
    function __construct() {
        
    }
	
    
    function add_options($options) {
    	$this->_options = array_merge($this->_options, $options);
    }

    
	
    function get_logo_options($section = '') {
        $options = array(
            array(
                'label' => 'Website Logo',
                'id' => 'logo',
                'type' => 'upload',
                'desc' => 'Upload the main logo for your website, Upload as the logo as big as you can, you choose its size below',
                'std' => '',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
            array(
                'label' => 'Logo Height',
                'id' => 'logo_height',
                'type' => 'numeric-slider',
                'desc' => 'Slide to select your Logo Height in <strong>pixels</strong>. "We will calculate the width automaticly based on the height"',
                'std' => '37',
                'min_max_step' => '10,300,1',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
            array(
                'label' => 'Main Logo Top Margin',
                'id' => 'logo_margin',
                'type' => 'numeric-slider',
                'desc' => 'Top Margin for the logo for your website, Default:7px.',
                'std' => '0',
                'min_max_step' => '0,300,1',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
            array(
                'label' => 'favicon',
                'id' => 'favicon',
                'type' => 'upload',
                'desc' => 'Upload a 16px x 16px Png/Gif image that will represent your website\'s favicon.',
                'std' => '',
                'section' => $section
            ),
        );

        return $options;
    }
	function get_shop_skin($section = '') {
		if(!class_exists( 'WooCommerce' )){
			return array();
		}
		
		
		$return = array(
		    'label' => 'Choose The default Skin for Woocommerce Products',
		    'id' => 'skin_default_shop',
		    'type' => 'custom-post-type-select',
		    'desc' => 'Choose The default Skin for Woocommerce Products.',
		    'std' => '',
		    'rows' => '',
		    'post_type' => 'skin',
		    'taxonomy' => '',
		    'class' => '',
		    'section' => $section
		);
		return $return;
	}
    function get_skins_options($section = '') {
        $options = array(
            $this->get_skin_array('Website', 'skin_default', $section),
            $this->get_skin_array('Pages', 'skin_default_page', $section),
            $this->get_shop_skin($section),
            $this->get_skin_array('Category', 'skin_default_category', $section),
            $this->get_skin_array('Tags', 'skin_default_tag', $section),
            $this->get_skin_array('Search Page', 'skin_default_search', $section),
            $this->get_skin_array('Archive Page "Year, Month"', 'skin_default_archive', $section),
            $this->get_skin_array('404 Page', 'skin_default_404', $section),
        );

        return $options;
    }

    function get_templates_options($section = '') {
        $options = array(
            $this->get_template_array('Website', 'default_template', $section),
            $this->get_template_array('Category Page', 'cat_template', $section),
            $this->get_template_array('Tag Page', 'tag_template', $section),
            $this->get_template_array('Author Page', 'author_template', $section),
            $this->get_template_array('Search Page', 'search_template', $section),
            $this->get_template_array('Archive Page "Year, Month"', 'archive_template', $section),
            $this->get_template_array('404 Page', '404_template', $section),
        );

        return $options;
    }

    function get_default_options($section = '') {
        $options = array(
//			array(
//                'label' => 'Preview Mode',
//                'id' => 'preview',
//                'type' => 'on_off',
//                'desc' => 'Choose ON to enable Preview Mode to test some colors changes in your website.',
//                'std' => 'on',
//                'section' => $section
//            ),
//            array(
//                'label' => 'Quick Read Ad',
//                'id' => 'quick_read_ad',
//                'type' => 'textarea-simple',
//                'desc' => 'Add Quick Read Ad Content.',
//                'std' => '',
//                'section' => $section
//            ),

			array(
			    'label' => 'Enable Floating Sidebars',
			    'id' => 'floating_sidebar',
			    'type' => 'on_off',
			    'desc' => 'Choose ON to enable the website sitebar to float after your reach their end while scrolling.',
			    'std' => 'on',
			    'section' => $section
			),
			array(
			    'label' => 'Preview Mode',
			    'id' => 'preview',
			    'type' => 'on_off',
			    'desc' => 'Choose ON to enable Preview Mode to test some colors changes in your website.',
			    'std' => 'on',
			    'section' => $section
			),
			array(
			    'label' => 'Use Google Analytics of views count',
			    'id' => 'use_google_analytics',
			    'type' => 'on_off',
			    'desc' => 'Choose ON to enable Google Analytics of views count, you will need to setup the App <a href="'.admin_url() . 'options-general.php?page=google-analytics-setup">Here</a>',
			    'std' => 'on',
			    'section' => $section
			),
			array(
			    'label' => 'Enable Category Styling',
			    'id' => 'category_styling',
			    'type' => 'on_off',
			    'desc' => 'Choose ON to enable Category Styling, you can disable it if you have very large number of posts.',
			    'std' => 'on',
			    'section' => $section
			),
            array(
                'label' => 'Google Analytics Code',
                'id' => 'google_analytics',
                'type' => 'textarea-simple',
                'desc' => 'Paste your Google Analytics (or other) tracking code here. This will be added into your theme.',
                'std' => '',
                'rows' => '10',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
            array(
                'label' => 'Custom CSS Code',
                'id' => 'custom_css',
                'type' => 'css',
                'desc' => 'Paste your custom css code.',
                'std' => '',
                'rows' => '10',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
            array(
                'label' => 'Custom Javascript Code',
                'id' => 'custom_js',
                'type' => 'textarea-simple',
                'desc' => 'Paste your custom Javascript code.',
                'std' => '',
                'rows' => '10',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
        );

        return $options;
    }

    function get_header_options($section = '') {
        $options = array( );
           
        $options [] = array(
                'label' => 'Choose Header Layout',
                'id' => 'header_layout',
                'type' => 'radio-image',
                'desc' => 'Choose Header Layout.',
                'choices' => $this->get_logo_position_images(),
                'std' => 'logo-left',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            );
        $options [] = $this->get_content( 'content_logo' , 'Content beside Logo' , '[c5ab_ads size="ads_728x90" mobile="off" tablet="off" desktop="on" ]<a href="http://themeforest.net/item/alyoum-retina-magazine-blog-wordpress-theme/3925878?ref=code125" /><img src="http://d.pr/i/mUjU+" /></a>[/c5ab_ads][c5ab_ads size="ads_468x60" mobile="off" tablet="on" desktop="off" ]<a href="http://themeforest.net/item/alyoum-retina-magazine-blog-wordpress-theme/3925878?ref=code125" /><img src="http://d.pr/i/6qWw+" /></a>[/c5ab_ads][c5ab_ads size="ads_300x50" mobile="on" tablet="off" desktop="off" ]<a href="http://themeforest.net/item/alyoum-retina-magazine-blog-wordpress-theme/3925878?ref=code125" /><img src="http://d.pr/i/cVyP+" /></a>[/c5ab_ads]' , $section);
        
        $options [] = array(
                'label' => 'Choose Main Menu Position',
                'id' => 'header_menu_position',
                'type' => 'radio-image',
                'desc' => 'Choose Main Menu Position.',
                'choices' => $this->get_menu_position_images(),
                'std' => 'side',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            );
            
         $options [] =array(
                'label' => 'Choose Main Menu',
                'id' => 'header_menu',
                'type' => 'select',
                'desc' => 'Choose The Main Menu.',
                'choices' => $this->get_current_menus(),
                'std' => 'main-nav',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            );
            
            
         $options [] =array(
                'label' => 'Show Today',
                'id' => 'header_menu_today',
                'type' => 'on_off',
                'desc' => 'Show Today Date in case you choosed the top menu position.',
                'std' => 'on',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            );
            
         

        return $options;
    }
    function get_top_header_options($section = '') {
            $options = array( );
            
            $options [] = array(
                    'label' => 'Show Top Bar',
                    'id' => 'top_enable',
                    'type' => 'on_off',
                    'desc' => 'Choose to Show Top Bar or not.',
                    'std' => 'on',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => '',
                    'section' => $section
                );
                
               $options [] = array(
                    'label' => 'Show Menu On Left',
                    'id' => 'top_menu_enable',
                    'type' => 'on_off',
                    'desc' => 'Show Menu On Left or not.',
                    'std' => 'on',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => '',
                    'section' => $section
                );
                
                
               $options [] = array(
                    'label' => 'Choose Top Menu',
                    'id' => 'header_top_menu',
                    'type' => 'select',
                    'desc' => 'Choose The Top Menu.',
                    'choices' => $this->get_current_menus(),
                    'std' => 'top-nav',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => '',
                    'section' => $section
                );
                
                $options [] = array(
                    'label' => 'Show Social Icons On Right',
                    'id' => 'top_social_enable',
                    'type' => 'on_off',
                    'desc' => 'Show Social Icons On Left or not.',
                    'std' => 'on',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => '',
                    'section' => $section
                );
                $options [] = $this->get_content( 'top_custom_content' , 'Custom Content' , '', $section);
                
                
                $options [] = array(
                    'label' => 'Top Bar Header Background Color',
                    'id' => 'top_background',
                    'type' => 'colorpicker',
                    'desc' => 'Top Bar Header Background Color (default: #57595a ).',
                    'std' => '#57595a',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => '',
                    'section' => $section
                );
                
                $options [] = array(
                    'label' => 'Floating Bar Top Border Color',
                    'id' => 'top_bar_top_border',
                    'type' => 'colorpicker',
                    'desc' => 'Floating Bar Top Border Color (default: #d64a2b ).<br/><br/> leave it blank to disable the top border.',
                    'std' => '#d64a2b',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => '',
                    'section' => $section
                );
           	
    
            return $options;
        }
    function get_floating_bar($section = '') {
    	$options = array(
    		array(
    		    'label' => 'Show Floating Bar',
    		    'id' => 'floating_enable',
    		    'type' => 'on_off',
    		    'desc' => 'Choose to Show Top Bar or not.',
    		    'std' => 'on',
    		    'rows' => '',
    		    'post_type' => '',
    		    'taxonomy' => '',
    		    'class' => ''
    		),
    		array(
    		    'label' => 'Main Logo',
    		    'id' => 'floating_logo',
    		    'type' => 'upload',
    		    'desc' => 'Upload the main logo for your website.',
    		    'std' => '',
    		    'rows' => '',
    		    'post_type' => '',
    		    'taxonomy' => '',
    		    'class' => ''
    		),
    		array(
    		  'label'       => 'Logo Height',
    		  'id'          => 'floating_logo_height',
    		  'type'        => 'numeric-slider',
    		  'desc'        => 'Slide to select your Logo Height in <strong>pixels</strong>. "We will calculate the width automaticly based on the height"',
    		  'std'         => '27', 
    		  'min_max_step' => '10,300,1',
    		  'rows'        => '',
    		  'post_type'   => '',
    		  'taxonomy'    => '',
    		  'class'       => '',
    		  'section'     => 'general_default'
    		),
    		array(
    		    'label' => 'Main Logo Top Margin',
    		    'id' => 'floating_logo_margin',
    		    'type' => 'numeric-slider',
    		    'desc' => 'Top Margin for the logo for your website, Default:7px.',
    		    'std' => '7',
    		    'min_max_step' => '0,300,1',
    		    'rows' => '',
    		    'post_type' => '',
    		    'taxonomy' => '',
    		    'class' => ''
    		),
    		array(
    		    'label' => 'Show Menu On Left',
    		    'id' => 'floating_menu_enable',
    		    'type' => 'on_off',
    		    'desc' => 'Show Menu On Left or not.',
    		    'std' => 'on',
    		    'rows' => '',
    		    'post_type' => '',
    		    'taxonomy' => '',
    		    'class' => ''
    		),
    		array(
    		    'label' => 'Choose Top Menu',
    		    'id' => 'floating_top_menu',
    		    'type' => 'select',
    		    'desc' => 'Choose The Top Menu.',
    		    'choices' => $this->get_current_menus(),
    		    'std' => 'main-nav',
    		    'rows' => '',
    		    'post_type' => '',
    		    'taxonomy' => '',
    		    'class' => ''
    		),
    		array(
    		    'label' => 'Show Social Icons On Right',
    		    'id' => 'floating_social_enable',
    		    'type' => 'on_off',
    		    'desc' => 'Show Social Icons On Left or not.',
    		    'std' => 'on',
    		    'rows' => '',
    		    'post_type' => '',
    		    'taxonomy' => '',
    		    'class' => ''
    		),
    		$this->get_content( 'floating_custom_content' , 'Custom Content' , '',$section),
    		
    		array(
    		    'label' => 'Floating Bar Background Color',
    		    'id' => 'floating_background',
    		    'type' => 'colorpicker',
    		    'desc' => 'Floating Bar Background Color.<br/><br/>Leave blank for default color of the skin.',
    		    'std' => '',
    		    'rows' => '',
    		    'post_type' => '',
    		    'taxonomy' => '',
    		    'class' => ''
    		),
    	);
    	foreach ($options as $key => $value) {
    		$options[$key]['section'] = $section;
    	}
    	return $options;
   	}
    function get_breaking_news_bar($section = '') {
    	$post_obj = new C5_post();
    	$options = array(
    		array(
    		    'label' => 'Show Breaking News Bar',
    		    'id' => 'breaking_enable',
    		    'type' => 'on_off',
    		    'desc' => 'Choose to Show Breaking News Bar or not.',
    		    'std' => 'on',
    		    'rows' => '',
    		    'post_type' => '',
    		    'taxonomy' => '',
    		    'class' => ''
    		),
    		
    		array(
    		    'label' => 'Breaking News title',
    		    'id' => 'breaking_title',
    		    'type' => 'text',
    		    'desc' => 'Breaking News Title.',
    		    'std' => 'Breaking News',
    		    'rows' => '',
    		    'post_type' => '',
    		    'taxonomy' => '',
    		    'class' => ''
    		),
    		
    		$this->get_font_size_array('Breaking News Title' , 'breaking_news_title_fs' , '20',$section),
    		$this->get_font_size_array('Breaking News Text' , 'breaking_news_text_fs' , '15',$section),
    		
    		$post_obj->get_follow_array('breaking_follow' , 'off'),
    		$post_obj->get_posts_per_page_array('breaking_posts_per_page', '10'),
    		$post_obj->get_category_array('breaking_post_type' , 'post'),
    		
    		$post_obj->get_authors_array('breaking_author' , ''),
    		$post_obj->get_orderby_array('breaking_orderby' , 'date'),
    		$post_obj->get_order_array('breaking_order' , 'DESC' ),
    		$post_obj->get_posts_input_array('breaking_posts' , ''),
    		array(
    		  'label'       => 'Breaking News Custom Content',
    		  'id'          => 'breaking_custom',
    		  'type'        => 'list-item',
    		  'desc'        => 'Add Breaking News Custom Content.',
    		  'settings'    => array(
    		    array(
    		      'label'       => '',
    		      'id'          => 'textblock',
    		      'type'        => 'textblock',
    		      'desc'        => '',
    		      'std'         => '',
    		      'rows'        => '',
    		      'post_type'   => '',
    		      'taxonomy'    => '',
    		      'class'       => ''
    		    )
    		    
    		  ),
    		  'std'         => '',
    		  'rows'        => '',
    		  'post_type'   => '',
    		  'taxonomy'    => '',
    		  'class'       => '',
    		),
    		
    	);
    	foreach ($options as $key => $value) {
    		$options[$key]['section'] = $section;
    	}
    	return $options;
    	 
    }
    
    function get_footer_options($section = '') {
            $options = array(
                array(
                    'label' => 'Choose Footer Menu',
                    'id' => 'footer_menu',
                    'type' => 'select',
                    'desc' => 'Choose The Footer Menu.',
                    'choices' => $this->get_current_menus(),
                    'std' => 'footer-nav',
                    'rows' => '',
                    'post_type' => '',
                    'taxonomy' => '',
                    'class' => '',
                    'section' => $section
                )
            );
            
            if(C5_simple_option){
            	$page_templates = $this->get_templates_list();
            	
            	$options[] = array(
	            	'label' => 'Footer template',
	            	'id' => 'footer_template',
	            	'type' => 'select',
	            	'desc' => 'Choose The Footer template from the current page templates',
	            	'choices' => $page_templates,
	            	'std' => 'footer-1',
	            	'rows' => '',
	            	'taxonomy' => '',
	            	'class' => '',
	            	'section' => $section
            	);
            }
    
            return $options;
        }




    function get_colors_options($section = '') {
        $options = array(
            array(
                'label' => 'Primary Color',
                'id' => 'primary_color',
                'type' => 'colorpicker',
                'desc' => 'Pick a the main color for the theme (default: #d64a2b ).',
                'std' => '#d64a2b',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
            array(
                'label' => 'Title Color',
                'id' => 'title_color',
                'type' => 'colorpicker',
                'desc' => 'Pick the title color for the theme (default: #d64a2b ).',
                'std' => '#d64a2b',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
            array(
                'label' => 'Side Menu Background Color',
                'id' => 'side_menu_background',
                'type' => 'colorpicker',
                'desc' => 'Pick the Side Menu Background Color for the theme (default: #eee ).',
                'std' => '#eee',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
            array(
                'label' => 'Main Background',
                'id' => 'main_background',
                'type' => 'background',
                'desc' => 'Upload the background pattern you want.',
                'std' => array(),
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
        );

        return $options;
    }

    function get_fonts_options($section = '') {
        $fonts_obj = new C5_font();
        $google_fonts = $fonts_obj->get_select_array();


        $options = array(
	        array(
		        'label' => 'Primary Heading Font',
		        'id' => 'heading_font',
		        'type' => 'select',
		        'desc' => 'Select your Header font from the available fonts, Fonts are provided via Google Fonts API',
		        'choices' => $google_fonts,
		        'std' => 'Oswald#latin#googlefont',
		        'rows' => '',
		        'post_type' => '',
		        'taxonomy' => '',
		        'class' => '',
		        'section' => $section
	        ),
	        array(
		        'label' => 'Body Font',
		        'id' => 'body_font',
		        'type' => 'select',
		        'desc' => 'Select your body "Default" font from the available fonts, Fonts are provided via Google Fonts API',
		        'choices' => $google_fonts,
		        'std' => 'Arial#system#default',
		        'rows' => '',
		        'post_type' => '',
		        'taxonomy' => '',
		        'class' => '',
		        'section' => $section
	        ),
	        $this->get_font_size_array('Body', 'body_fs', '14', $section ),
	        $this->get_font_size_array('Top Menu', 'top_menu_fs', '12', $section ),
	        $this->get_font_size_array('Side Menu', 'side_menu_fs', '16', $section ),
	        $this->get_font_size_array('Title', 'title_fs', '16', $section ),
	        $this->get_font_size_array('Blog Article Title', 'article_title_fs', '20', $section ),
	        $this->get_font_size_array('Slider Title Title', 'slider_title_fs', '25', $section ),
        );

        return $options;
    }

    function get_layout_options($section = '') {


        global $wp_registered_sidebars;

        $sidebars = array();
        foreach ($wp_registered_sidebars as $sidebar_new) {
            $sidebars[] = array(
                'label' => $sidebar_new['name'],
                'value' => $sidebar_new['id']
            );
        }

        $layout_array = array(
            '728-C',
            '960-B-C',
            '960-C-B',
            '960-C-S',
            '960-C',
            '960-S-C',
            //'1170-B-B-C',
            //'1170-C-B-B',
            //'1170-B-C-B',
            '1170-B-C-S',
            '1170-B-C',
            '1170-B-S-C',
            '1170-C-B-S',
            '1170-C-B',
            '1170-C-S-B',
            //'1170-C-S-S',
            '1170-C-S',
            '1170-C',
            '1170-S-B-C',
            '1170-S-C-B',
            //'1170-S-C-S',
            '1170-S-C',
                //'1170-S-S-C'
        );
        $layout_options = array(
        );

        foreach ($layout_array as $value) {
            $layout_options[] = array(
                'src' => C5_skins_URL . 'images/layout/' . $value . '.png',
                'label' => '',
                'value' => $value
            );
        }

        $rtl_array = array(
            'ltr',
            'rtl'
        );
        $rtl_options = array(
        );

        foreach ($rtl_array as $value) {
            $rtl_options[] = array(
                'src' => C5_skins_URL . 'images/rtl/' . $value . '.png',
                'label' => '',
                'value' => $value
            );
        }

        $options = array(
            array(
                'label' => 'RTL',
                'id' => 'rtl',
                'type' => 'radio-image',
                'desc' => 'Choose Website direction.',
                'choices' => $rtl_options,
                'std' => 'ltr',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => 'c5-layout-control',
                'section' => $section
            ),
            array(
                'label' => 'Default Page Width & Layout',
                'id' => 'layout_width',
                'type' => 'radio-image',
                'desc' => '',
                'choices' => $layout_options,
                'std' => '1170-S-C-B',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => 'c5-skin-selector c5-layout-control',
                'section' => $section
            ),
            array(
                'label' => 'Big Sidebar',
                'id' => 'big_sidebar',
                'type' => 'select',
                'desc' => 'Select the Big Page sidebar.',
                'choices' => $sidebars,
                'std' => 'sidebar',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => 'c5-layout-control',
                'section' => $section
            ),
            array(
                'label' => 'Small Sidebar',
                'id' => 'small_sidebar',
                'type' => 'select',
                'desc' => 'Select the Page small sidebar.',
                'choices' => $sidebars,
                'std' => 'small_sidebar',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => 'c5-layout-control',
                'section' => $section
            ),
        );

        return $options;
    }

    function get_sidebars_options($section = '') {


        $options = array(
            array(
                'label' => 'Sidebars',
                'id' => 'sidebars',
                'type' => 'list-item',
                'desc' => 'Add Unlimited Sidebars to your website.',
                'settings' => array(
                    array(
                        'label' => 'Slug',
                        'id' => 'slug',
                        'type' => 'text',
                        'desc' => 'Sidebar Slug "All lowercase and must be unique".',
                        'std' => '',
                    ),
                    array(
                        'label' => 'Description',
                        'id' => 'description',
                        'type' => 'textarea-simple',
                        'desc' => 'Sidebar Description.',
                        'std' => '',
                        'rows' => '5',
                        'post_type' => '',
                        'taxonomy' => '',
                        'class' => ''
                    )
                ),
                'std' => '',
                'section' => $section
            ),
        );

        return $options;
    }

    function get_menu_locations_options($section = '') {


        $options = array(
            array(
                'label' => 'Menu Locations',
                'id' => 'menus',
                'type' => 'list-item',
                'desc' => 'Add Unlimited Menu Locations to your website.',
                'settings' => array(
                    array(
                        'label' => 'Location',
                        'id' => 'location',
                        'type' => 'text',
                        'desc' => 'Menu Location You will get the menu by that name. "No spaces"',
                        'std' => '',
                    )
                ),
                'std' => '',
                'section' => $section
            ),
        );

        return $options;
    }

    function get_custom_fonts_options($section = '') {

        $options = array(
            array(
                'label' => 'Custom Fonts',
                'id' => 'custom_fonts',
                'type' => 'list-item',
                'desc' => 'Add New Custom font.',
                'settings' => array(
                    array(
                        'label' => 'folder name',
                        'id' => 'folder',
                        'type' => 'text',
                        'desc' => 'type the folder name you added to /library/fonts/',
                        'std' => '',
                    ),
                    array(
                        'label' => '.css file name',
                        'id' => 'css',
                        'type' => 'text',
                        'desc' => 'add .css file name for the font face"type it without the extension"',
                        'std' => '',
                    )
                ),
                'std' => '',
                'section' => $section
            ),
        );

        return $options;
    }

    function get_search_options($section = '') {
        $args = array('show_ui' => true);
        $types_array = array();
        $output = 'objects'; // names or objects

        $post_types = get_post_types($args, $output);
        //print_r($post_types);
        $exlude_array = array(
            'attachment',
            'skin',
            'header',
            'footer'
        );
        foreach ($post_types as $key => $post_type) {

            if (!in_array($key, $exlude_array)) {
                $types_array[] = array(
                    'label' => $post_type->label,
                    'value' => $key
                );
            }
        }
        $options = array(
            array(
                'label' => 'Default Search Post Type',
                'id' => 'search_post',
                'type' => 'select',
                'desc' => 'Choose the post type you want to make the search based on.',
                'choices' => $types_array,
                'std' => 'post',
                'section' => $section
            ),
            array(
                'label' => 'Show Category Filter',
                'id' => 'search_filter',
                'type' => 'on_off',
                'desc' => 'Show Category Filter.',
                'std' => 'on',
                'section' => $section
            ),
        );

        return $options;
    }
    
    function get_icons_options($default='fa fa-none') {
    	$obj = new C5AB_ICONS();
    	$icons = $obj->get_icons_as_images();
    	
    	$options = array(
    		    'label' => 'Icon',
    		    'id' => 'icon',
    		    'type' => 'radio-text',
    		    'desc' => '',
    		    'std' => $default,
    		    'choices' => $icons,
    		    'rows' => '',
    		    'post_type' => '',
    		    'taxonomy' => '',
    		    'class' => ''
    		);
    	return $options;
    }

    function get_social_options($section = '') {

        

        $options = array(
            array(
                'label' => 'Facebook App ID',
                'id' => 'facebook_ID',
                'type' => 'text',
                'desc' => 'Add Facebook App ID.',
                'std' => '',
                'section' => $section
            ),
            array(
                'label' => 'Twitter Consumer Key',
                'id' => 'consumerkey',
                'type' => 'text',
                'desc' => 'Add your twitter Consumer Key <a href="http://themepacific.com/how-to-generate-api-key-consumer-token-access-key-for-twitter-oauth/994/" >Click Here to learn about these keys</a>.',
                'std' => '',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
            array(
                'label' => 'Twitter Consumer Secret',
                'id' => 'consumersecret',
                'type' => 'text',
                'desc' => 'Add your twitter Consumer Secret.',
                'std' => '',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
             array(
                'label' => 'Twitter Access Token',
                'id' => 'accesstoken',
                'type' => 'text',
                'desc' => 'Add your twitter Access Token.',
                'std' => '',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
             array(
                'label' => 'Twitter Access Token Secret',
                'id' => 'accesstokensecret',
                'type' => 'text',
                'desc' => 'Add your twitter Access Token Secret.',
                'std' => '',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            ),
            //// social icons
            array(
                'label' => 'Social Top Icons',
                'id' => 'social_icons',
                'type' => 'list-item',
                'desc' => '',
                'settings' => array(
                    array(
                        'label' => 'Link',
                        'id' => 'link',
                        'type' => 'text',
                        'desc' => 'Your Social Link',
                        'choices' => '',
                        'std' => '',
                        'rows' => '',
                        'post_type' => '',
                        'taxonomy' => '',
                        'class' => ''
                    ),
                    $this->get_icons_options('fa fa-facebook'),
                    array(
                        'label' => 'Type',
                        'id' => 'type',
                        'type' => 'select',
                        'desc' => 'Select Link Type, Default Link',
                        'choices' => array(
                            array(
                                'label' => 'Link',
                                'value' => 'link'
                            ),
                            array(
                                'label' => 'Search',
                                'value' => 'search'
                            ),
                            array(
                                'label' => 'Account',
                                'value' => 'account'
                            ),
                            array(
                                'label' => 'Email',
                                'value' => 'email'
                            ),
                            array(
                                'label' => 'Languages',
                                'value' => 'languages'
                            )
                        ),
                        'std' => 'link',
                        'rows' => '',
                        'post_type' => '',
                        'taxonomy' => '',
                        'class' => ''
                    ),
                ),
                'std' => '',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
                'section' => $section
            )
        );

        return $options;
    }

    function get_articles_options($section = '') {
        
		
        $options = array(
            
            array(
                'label' => 'Meta data',
                'id' => 'single_meta_style',
                'type' => 'select',
                'desc' => 'Choose the view of the article meta data',
                'choices' => array(
                    array(
                        'label' => 'Line',
                        'value' => 'line'
                    ),
                    array(
                        'label' => 'Block',
                        'value' => 'block'
                    )
                ),
                'std' => 'normal',
                'section' => $section
            ),
            array(
                'label' => 'Follow Category styling Settings',
                'id' => 'posts_styling',
                'type' => 'on_off',
                'desc' => 'Follow the article category styling Settings, Default: On.',
                'std' => 'on',
                'section' => $section
            ),
            array(
                'label' => 'Show Featured Media',
                'id' => 'show_featured_media',
                'type' => 'on_off',
                'desc' => '',
                'std' => 'on',
                'section' => $section
            ),
            array(
                'label' => 'Show View Count on Article',
                'id' => 'show_views',
                'type' => 'on_off',
                'desc' => '',
                'std' => 'on',
                'section' => $section
            ),
            array(
                'label' => 'Show Like Button on Article',
                'id' => 'show_likes',
                'type' => 'on_off',
                'desc' => '',
                'std' => 'on',
                'section' => $section
            ),
            array(
                'label' => 'Show Comments Count on Article',
                'id' => 'show_comment',
                'type' => 'on_off',
                'desc' => '',
                'std' => 'on',
                'section' => $section
            ),
            array(
                'label' => 'Show Categories on Article',
                'id' => 'show_cat',
                'type' => 'on_off',
                'desc' => '',
                'std' => 'on',
                'section' => $section
            ),
            array(
                'label' => 'Show Tags on Article',
                'id' => 'enable_tags',
                'type' => 'on_off',
                'desc' => '',
                'std' => 'on',
                'section' => $section
            ),
            array(
                'label' => 'Show Author on Article',
                'id' => 'show_author',
                'type' => 'on_off',
                'desc' => '',
                'std' => 'on',
                'section' => $section
            ),
            array(
                'label' => 'Show Date on Article',
                'id' => 'show_date',
                'type' => 'on_off',
                'desc' => '',
                'std' => 'on',
                'section' => $section
            ),
            array(
                'label' => 'Date Format Posts Type',
                'id' => 'c5_date_format',
                'type' => 'select',
                'desc' => 'Set The Date format "Normal date: 12th January, 2013" or "Ago date: 2 days ago"',
                'choices' => array(
                    array(
                        'label' => 'Date & Time',
                        'value' => 'date_time'
                    ),
                    array(
                        'label' => 'Only Date',
                        'value' => 'date'
                    ),
                    array(
                        'label' => 'Only Time',
                        'value' => 'time'
                    ),
                    array(
                        'label' => 'Ago Format',
                        'value' => 'ago'
                    ),
                ),
                'std' => 'normal',
                'section' => $section
            ),
            array(
                'label' => 'Enable Related Articles',
                'id' => 'enable_related',
                'type' => 'on_off',
                'desc' => '',
                'std' => 'on',
                'section' => $section
            ),
            array(
                'label' => 'Related Posts Type',
                'id' => 'related_type',
                'type' => 'select',
                'desc' => 'Select Related Posts selection type based on:',
                'choices' => array(
                    array(
                        'label' => 'Tags',
                        'value' => 'tags'
                    ),
                    array(
                        'label' => 'Category',
                        'value' => 'category'
                    ),
                    array(
                        'label' => 'Random',
                        'value' => 'random'
                    )
                ),
                'std' => 'tags',
                'section' => $section
            ),
            array(
                'label' => 'Before Article Section Content',
                'id' => 'article_before',
                'type' => 'textarea-simple',
                'desc' => 'Add a content to show before each article',
                'std' => '',
                'section' => $section
            ),
            array(
                'label' => 'After Article Section Content',
                'id' => 'article_after',
                'type' => 'textarea-simple',
                'desc' => 'Add a content to show after each article',
                'std' => '',
                'section' => $section
            ),
            array(
                'label' => 'Enable Facebook Comments',
                'id' => 'enable_facebook',
                'type' => 'on_off',
                'desc' => '',
                'std' => 'on',
                'section' => $section
            ),
            array(
                'label' => 'Enable WordPress Comments',
                'id' => 'enable_wp_comments',
                'type' => 'on_off',
                'desc' => '',
                'std' => 'on',
                'section' => $section
            ),
            array(
                'label' => 'Comments Section Order',
                'id' => 'comments_order',
                'type' => 'select',
                'desc' => 'Select the Comments Order in your article, Default: Facebook - WP Comments',
                'choices' => array(
                    array(
                        'label' => 'Facebook - WP Comments',
                        'value' => 'facebook_comments'
                    ),
                    array(
                        'label' => 'WP Comments - Facebook',
                        'value' => 'comments_facebook'
                    )
                ),
                'std' => 'facebook_comments',
                'section' => $section
            ),
            array(
                'label' => 'Facebook Color',
                'id' => 'facebook_color',
                'type' => 'select',
                'desc' => 'Select Facebook Color Mode. Default Light.',
                'choices' => array(
                    array(
                        'label' => 'Light',
                        'value' => 'light'
                    ),
                    array(
                        'label' => 'Dark',
                        'value' => 'dark'
                    )
                ),
                'std' => 'light',
                'section' => $section
            ),
        );
        
        
        if(!C5_simple_option){
        	$temp = array(
        		array(
        		    'label' => 'Article Skin',
        		    'id' => 'article_skin',
        		    'type' => 'custom-post-type-select',
        		    'desc' => 'Choose Default Posts Skin.',
        		    'post_type' => 'skin',
        		    'std' => '',
        		    'section' => $section
        		),
        	);
        	$options = array_merge($temp, $options );
        }
        return $options;
    }
    
	function get_styling_options() {
        $stylings_fields = array();
        
        if (!C5_simple_option) {
            $stylings_fields[] = array(
                'label' => 'Choose Custom Skin',
                'id' => 'skin_default',
                'type' => 'custom-post-type-select',
                'desc' => 'Choose Custom Skin, leave it for default skin.',
                'std' => '',
                'rows' => '',
                'post_type' => 'skin',
                'taxonomy' => '',
                'class' => ''
            );
        } 
    	$stylings_fields[] = array(
    	    'label' => 'Use Custom Color Settings',
    	    'id' => 'use_custom_colors',
    	    'type' => 'on_off',
    	    'desc' => 'Use Custom Color Settings.',
    	    'std' => 'off',
    	    'class' => ''
    	);
    	$stylings_fields[] = array(
    	    'label' => 'Use Custom Layout Settings',
    	    'id' => 'use_custom_layout',
    	    'type' => 'on_off',
    	    'desc' => 'Use Custom Layout Settings.',
    	    'std' => 'off',
    	    'class' => ''
    	);
        
        return $stylings_fields;
    }

    function get_skins_main_meta() {


        $options = array(
            array(
                'label' => 'Choose The default Header',
                'id' => 'header_default',
                'type' => 'custom-post-type-select',
                'desc' => 'Choose The  Header.',
                'std' => '',
                'rows' => '',
                'post_type' => 'header',
                'taxonomy' => '',
                'class' => ''
            ),
            array(
                'label' => 'Choose The default Footer',
                'id' => 'footer_default',
                'type' => 'custom-post-type-select',
                'desc' => 'Choose The Footer.',
                'std' => '',
                'rows' => '',
                'post_type' => 'footer',
                'taxonomy' => '',
                'class' => ''
            ),
            array(
                'label' => 'Custom CSS for this skin',
                'id' => 'custom_css',
                'type' => 'css',
                'desc' => 'Add Custom CSS for this skin.',
                'std' => '',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
            ),
            array(
                'label' => 'Custom js for this skin',
                'id' => 'custom_js',
                'type' => 'textarea-simple',
                'desc' => 'Add Custom js for this skin.',
                'std' => '',
                'rows' => '',
                'post_type' => '',
                'taxonomy' => '',
                'class' => '',
            )
        );

        return $options;
    }

}

?>