<?php 


add_action( 'wp_ajax_c5_install_widgets', 'c5_install_widgets' );

function c5_install_widgets() {
	
	
	require_once C5_ROOT . 'library/includes/auto-import/auto-widgets-import.php';
	$widgets_file =  get_template_directory_uri() . '/library/includes/auto-import/widget_data.json';
	
	$data = new Auto_Widget_IMPORT($widgets_file);
	echo 'done';
	die();
}

add_action( 'wp_ajax_c5_upgrade_theme', 'c5_upgrade_theme' );

function c5_upgrade_theme() {
	update_option('c5_options_mode', 'advanced');
	die();
}




add_action( 'wp_ajax_c5_install_theme_options', 'c5_install_theme_options' );

function c5_install_theme_options() {
	
	$simple_option = get_option('c5_options_mode');
	
	if($simple_option == 'advanced'){
		$data_file = get_template_directory_uri() . '/library/includes/auto-import/options.txt';
		
	}else {
		$data_file = get_template_directory_uri() . '/library/includes/auto-import/options-simple.txt';
	}
	
	$get_data = wp_remote_get( $data_file );
	
	if ( is_wp_error( $get_data ) )
	  return false;
	  
	$rawdata = isset( $get_data['body'] ) ? $get_data['body'] : '';
	$options = unserialize( ot_decode( $rawdata ) );
	
	/* get settings array */
	$settings = get_option( 'option_tree_settings' );
	
	/* has options */
	if ( is_array( $options ) ) {
	  
	  /* validate options */
	  if ( is_array( $settings ) ) {
	  
	    foreach( $settings['settings'] as $setting ) {
	    
	      if ( isset( $options[$setting['id']] ) ) {
	        
	        $content = ot_stripslashes( $options[$setting['id']] );
	        
	        $options[$setting['id']] = ot_validate_setting( $content, $setting['type'], $setting['id'] );
	        
	      }
	    
	    }
	  
	  }
	  
	  $demo_url = 'code-125.com';
	  
	  
	  foreach ($options as $key => $value) {
	  	if(is_array($value)){
	  		continue;
	  	}
	  	$test_value = explode( $demo_url, $value);
	  	if(count($test_value) == 2){
	  		$info = explode('/', $value);
	  		$index = count($info) - 1;
	  		$new_value =  c5ab_get_attachment_id_from_filename($info[$index]);
	  		if($new_value !=''){
	  			$options[$key] = $new_value;
	  		}
	  	}
	  }
	  
	  
	  update_option( 'option_tree' , $options);
	  
	  
	}
	
	
	die();
}

 function c5ab_get_attachment_id_from_filename ($name) {
 	global $wpdb;
 	
 	$query = "SELECT guid FROM {$wpdb->posts} WHERE guid LIKE '%{$name}%'";
 	$id = $wpdb->get_var($query);
 		
 	return $id;
 }

 ?>